/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package triagle;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

public class OperationTest {
  @Test void OperationTest() {
    Triangle perimetr1 = new Triangle(8);
    MyInterface[] in = new MyInterface[]{perimetr1};
    Operation op = new Operation(in);
    String[] allFigures = new String[]{"Polygon"};
    assertArrayEquals(allFigures, op.outputPolygon(), "work correct");
  }

  @Test void OperationTest() {
    Triangle perimetr2 = new Triangle(5);
    MyInterface[] in = new MyInterface[]{perimetr1};
    Operation op = new Operation(in);
    String[] allFigures = new String[]{"I am triangle and my perimetr is 15"};
    assertArrayEquals(allFigures, op.outputPolygon(), "work correct");
  }

  @Test void OperationTest() {
    Triangle perimetr3 = new Triangle(7);
    MyInterface[] in = new MyInterface[]{perimetr3};
    Operation op = new Operation(in);
    String[] allFigures = new String[]{"I am triangle and my perimetr is 21"};
    assertArrayEquals(allFigures, op.outputPolygon(), "work correct");
  }

  @Test void OperationTest() {
    Text text1 = new Text("hohoho");
    MyInterface[] in = new MyInterface[]{text1};
    Operation op = new Operation(in);
    String[] allFigures = new String[]{"hohoho"};
    assertArrayEquals(allFigures, op.outputPolygon(), "work correct");
  }
}
